Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.sql
Class JDBC

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.JDBC

    public class JDBC

extends Object

Field Summary
`static String` | `jdbcNone`

Constructor Summary
`JDBC()`

Method Summary
`static Connection` | `createConnection(String url, String user, String password)`
`static String` | `getDriver(DatabaseType dbType)`
`static String` | `guessDriver(String type)`
`static void` | `loadDriver(String className)`
`static void` | `loadDriverDB2()` Explicitly load the DB2 driver
`static void` | `loadDriverDerby()` Explicitly load the Derby driver
`static void` | `loadDriverH2()` Explicitly load the H2 driver
`static void` | `loadDriverHSQL()` Explicitly load the HSQLDB driver
`static void` | `loadDriverMySQL()` Explicitly load the MySQL driver
`static void` | `loadDriverOracle()` Explicitly load the Oracle driver
`static void` | `loadDriverPGSQL()` Explicitly load the PostgreSQL driver
`static void` | `loadDriverSQLServer()` Explicitly load the SQLServer driver
`static String` | `makeURL(String type, String host, String dbName)`
`static String` | `makeURL(String type, String host, String dbName, String user, String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jdbcNone

    public static final String jdbcNone

See Also:
  Constant Field Values

Constructor Detail

### JDBC

    public JDBC()

Method Detail

### getDriver

    public static String getDriver(DatabaseType dbType)

### loadDriverHSQL

    public static void loadDriverHSQL()

  Explicitly load the HSQLDB driver

### loadDriverH2

    public static void loadDriverH2()

  Explicitly load the H2 driver

### loadDriverMySQL

    public static void loadDriverMySQL()

  Explicitly load the MySQL driver

### loadDriverPGSQL

    public static void loadDriverPGSQL()

  Explicitly load the PostgreSQL driver

### loadDriverDerby

    public static void loadDriverDerby()

  Explicitly load the Derby driver

### loadDriverSQLServer

    public static void loadDriverSQLServer()

  Explicitly load the SQLServer driver

### loadDriverOracle

    public static void loadDriverOracle()

  Explicitly load the Oracle driver

### loadDriverDB2

    public static void loadDriverDB2()

  Explicitly load the DB2 driver

### loadDriver

    public static void loadDriver(String className)

### guessDriver

    public static String guessDriver(String type)

### createConnection

    public static Connection createConnection(String url,
                                              String user,
                                              String password)
                                       throws SQLException

  Throws:
    `SQLException`

### makeURL

    public static String makeURL(String type,
                                 String host,
                                 String dbName)

### makeURL

    public static String makeURL(String type,
                                 String host,
                                 String dbName,
                                 String user,
                                 String password)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.